loudy000 Posted August 20, 2018 Posted August 20, 2018 (edited) Hi All im looking for lisp routine that does the following. 1. Generate boundary line by selecting intersecting lines or blocks as shown above. 2. Set the generated boundary to specific layer, say Boundary Lines Thanks in Advance Note: Cannot attach image not sure why. hopefully someone can understand my post Thanks Edited August 20, 2018 by loudy000 cannot attach image Quote
Emmanuel Delay Posted August 20, 2018 Posted August 20, 2018 Those arch-like things ... are they always arcs? Quote
loudy000 Posted August 20, 2018 Author Posted August 20, 2018 Nope sometimes lines, polylines or would be good if can be anything Quote
BIGAL Posted August 21, 2018 Posted August 21, 2018 (edited) Have you tried Bpoly it uses a pick point and makes a boundary. (command "_.Bpoly" (getpoint) "") (command '_.BPoly" (getpoint) "") Edited August 21, 2018 by BIGAL "_.Bpoly" 1 Quote
loudy000 Posted August 21, 2018 Author Posted August 21, 2018 Yeah but I have thousands of them Quote
BIGAL Posted August 21, 2018 Posted August 21, 2018 You can use a fence option with ssget crossing the vertical lines to do multiples, pretty sure fence returns the crossing order of objects. Will test. Can you take a step back and create the bpoly as you create the vertical lines wold be a better way to approach the problem. Please explain more the situation of how you end up with the drawing. Quote
loudy000 Posted August 21, 2018 Author Posted August 21, 2018 So the process is we first create those lines using measure command to get exactly the desired area or spacing between plots, the sizes may vary depending on the required area. After that we need to model those plots which requires polylines(closed). Quote
BIGAL Posted August 22, 2018 Posted August 22, 2018 I would pay $14 then I could use the spare time to play here at cadtutor and the boss would not know. 1 1 Quote
loudy000 Posted August 22, 2018 Author Posted August 22, 2018 yeah that's probably a good idea thanks mates Quote
Stefan BMR Posted August 27, 2018 Posted August 27, 2018 Hi You can try the Enclosed Polylines.lsp from here. Quote
loudy000 Posted August 27, 2018 Author Posted August 27, 2018 3 hours ago, Stefan BMR said: Hi You can try the Enclosed Polylines.lsp from here. Awesome!!! Many thanks!, Can this work with blocks as well? (setq ss (ssget ":L" '((0 . "LINE,LWPOLYLINE,ARC,CIRCLE,BLOCK")))) Tried that but didn't work. Thnks Quote
Jef! Posted August 27, 2018 Posted August 27, 2018 The thing you select is not a block, but rather an insert. Try like that (setq ss (ssget ":L" '((0 . "LINE,LWPOLYLINE,ARC,CIRCLE,INSERT")))) Cheers Quote
ronjonp Posted August 27, 2018 Posted August 27, 2018 It will not work with blocks. It needs curve objects. Quote
loudy000 Posted August 27, 2018 Author Posted August 27, 2018 23 minutes ago, ronjonp said: It will not work with blocks. It needs curve objects. I see, Thanks Quote
loudy000 Posted August 27, 2018 Author Posted August 27, 2018 34 minutes ago, Jef! said: The thing you select is not a block, but rather an insert. Try like that (setq ss (ssget ":L" '((0 . "LINE,LWPOLYLINE,ARC,CIRCLE,INSERT")))) Cheers Thanks Jef it works for selection only but not for the whole routine as ronjonp was saying Quote
Jef! Posted August 27, 2018 Posted August 27, 2018 17 minutes ago, loudy000 said: Thanks Jef it works for selection only but not for the whole routine as ronjonp was saying I just replied to your ssget question. I'm not a member of the swamp, therefore I cannot see the routine attached by Lee. Sorry I cannot be of further assistance. Quote
loudy000 Posted August 27, 2018 Author Posted August 27, 2018 1 minute ago, Jef! said: I just replied to your ssget question. I'm not a member of the swamp, therefore I cannot see the routine attached by Lee. Sorry I cannot be of further assistance. no worries see attached if you want to have a look at it. Cheers! Enclosed polylines.LSP Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.